import { INPMProject, IProjectEnv, ProjectTemplate } from "@telerik/scaffolding";
import { Astro } from "./schema";
import type CreateKendoReactAstroOptions from "./schema.json";
interface TemplateTree {
    /**
     * Relative file paths.
     */
    files: string[];
    /**
     * Reads the file at {@link file} as string.
     */
    readString(file: string): Promise<string>;
    /**
     * Reads a binary file at {@link file} as Base64 encoded string.
     */
    readBase64(file: string): Promise<string>;
}
export declare class CreateAstroApp extends ProjectTemplate<Astro> {
    static schema(): Promise<typeof CreateKendoReactAstroOptions>;
    applyKendoTheme(file: string, content: string): Promise<string>;
    applyStylingOptions(file: string, content: string): Promise<string>;
    applyChangesForDependencies(file: string, content: string): Promise<string>;
    templateTree(template: string): Promise<TemplateTree>;
    textFileExtensions: Set<string>;
    binaryFileExtensions: Set<string>;
    apply(project: INPMProject, env: IProjectEnv): Promise<void>;
    applyTemplate(project: INPMProject, template: TemplateTree, destination: string): Promise<void>;
    private createAppSourceFiles;
}
export {};
